<div class="container">
  <form [formGroup]="form">
    <label for="num1">
      Número 1:
    </label>
    <input type="number" id="num1" formControlName="num1"><br>
    <label for="num2">
      Número 2:
    </label>
    <input type="number" id="num2" formControlName="num2"><br>
    <button  class="btn btn-primary" (click)="Calcular()" [disabled]="form.invalid">Calcular!</button>
    <p>{{resultat}}</p>
  </form>
</div>
